cURL
curl --request GET \ --url https://api.opensink.com/api/v1/cron-jobs \ --header 'Authorization: Bearer <token>'
{ "items": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "schedule_interval_minutes": 2, "schedule_start_minute": 29, "request_url": "<string>", "request_method": "GET", "request_headers": {}, "request_body": {}, "runs_count": 123, "success_run_count": 123, "failure_run_count": 123, "last_run_at": "2023-11-07T05:31:56Z", "next_run_at": "2023-11-07T05:31:56Z", "is_enabled": true, "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } ], "trail": "<string>" }
List all cron jobs in the current workspace
Required scope: cron_jobs:read, cron_jobs:all, or all:all
cron_jobs:read
cron_jobs:all
all:all
API key authentication
Default Response
Show child attributes
Pagination trail for next page